Get Resources Calculation
Retrieve the results of VCF (or VVF) installation resource calculation by its ID
VCF (or VVF) resources calculation ID
123e4567-e89b-42d3-a456-556642440000
Success
{
"id": "string",
"description": "string",
"executionStatus": "COMPLETED",
"resultStatus": "SUCCEEDED",
"validationChecks": [
{
"description": "string",
"severity": "One among: WARNING, ERROR, INFO",
"resultStatus": "One among: IN_PROGRESS, SUCCEEDED, FAILED, SKIPPED, CANCELLED, CANCELLATION_IN_PROGRESS, PENDING",
"acknowledge": false,
"errorResponse": {
"errorCode": "string",
"errorType": "string",
"arguments": [
"string"
],
"context": {
"context": "string"
},
"notifications": [
{
"severity": "string",
"message": "string",
"remediations": [
{
"message": "string",
"link": "string"
}
],
"impactMessage": "string"
}
],
"message": "string",
"remediationMessage": "string",
"causes": [
{
"type": "string",
"message": "string"
}
],
"nestedErrors": [
{
"errorCode": "string",
"errorType": "string",
"arguments": [
"string"
],
"context": {
"context": "string"
},
"notifications": [
{
"severity": "string",
"message": "string",
"remediations": [
{
"message": "string",
"link": "string"
}
],
"impactMessage": "string"
}
],
"message": "string",
"remediationMessage": "string",
"causes": [
{
"type": "string",
"message": "string"
}
],
"nestedErrors": [
{
"errorCode": "string",
"errorType": "string",
"arguments": [
"string"
],
"context": {
"context": "string"
},
"notifications": [
{
"severity": "string",
"message": "string",
"remediations": [
{
"message": "string",
"link": "string"
}
],
"impactMessage": "string"
}
],
"message": "string",
"remediationMessage": "string",
"causes": [
{
"type": "string",
"message": "string"
}
],
"nestedErrors": [
"Error Object"
],
"referenceToken": "string",
"label": "string",
"remediationUrl": "string"
}
],
"referenceToken": "string",
"label": "string",
"remediationUrl": "string"
}
],
"referenceToken": "string",
"label": "string",
"remediationUrl": "string"
},
"nestedValidationChecks": [
{
"description": "string",
"severity": "One among: WARNING, ERROR, INFO",
"resultStatus": "One among: IN_PROGRESS, SUCCEEDED, FAILED, SKIPPED, CANCELLED, CANCELLATION_IN_PROGRESS, PENDING",
"acknowledge": false,
"errorResponse": {
"errorCode": "string",
"errorType": "string",
"arguments": [
"string"
],
"context": {
"context": "string"
},
"notifications": [
{
"severity": "string",
"message": "string",
"remediations": [
{
"message": "string",
"link": "string"
}
],
"impactMessage": "string"
}
],
"message": "string",
"remediationMessage": "string",
"causes": [
{
"type": "string",
"message": "string"
}
],
"nestedErrors": [
"Error Object"
],
"referenceToken": "string",
"label": "string",
"remediationUrl": "string"
},
"nestedValidationChecks": [
"ValidationCheck Object"
]
}
]
}
],
"additionalProperties": {
"additionalProperties": "string"
},
"requiredCapacity": {
"numberOfCores": 0,
"memory": {
"value": "number",
"unit": "string"
},
"storage": {
"value": "number",
"unit": "string"
},
"numberOfEsxiHosts": 0,
"componentsVmRequirements": [
{
"cpuCores": 0,
"memoryGb": "number",
"storageGb": 0,
"ipCount": 0,
"ipCountRecommended": 0,
"ipCountLimit": 0,
"workersCount": 0,
"component": "string",
"componentType": "string"
}
],
"context": {
"context": "string"
}
},
"availableCapacity": {
"numberOfCores": 0,
"memory": {
"value": "number",
"unit": "string"
},
"storage": {
"value": "number",
"unit": "string"
},
"numberOfEsxiHosts": 0,
"componentsVmRequirements": [
{
"cpuCores": 0,
"memoryGb": "number",
"storageGb": 0,
"ipCount": 0,
"ipCountRecommended": 0,
"ipCountLimit": 0,
"workersCount": 0,
"component": "string",
"componentType": "string"
}
],
"context": {
"context": "string"
}
}
}
ID of the validation
Description of the validation
Execution status of the validation. One among: IN_PROGRESS, FAILED, COMPLETED, UNKNOWN, SKIPPED, CANCELLED, CANCELLATION_IN_PROGRESS
Result status of the validation after it has completed its execution. One among: SUCCEEDED, FAILED, WARNING, UNKNOWN, CANCELLATION_IN_PROGRESS
List of one or more validation checks that are performed as part of the validation
additionalProperties
Represents a usage and capacity information of a Resource
Represents a usage and capacity information of a Resource
Not Found
"Error Object"
The minor error code
The error type
The arguments used to localize the message, Can be used by scripts to automate the error processing.
The error context (e.g. the component where it occurred).
Detailed results of the precheck validation.
The localized error message
The localized remediation error message
The underlying cause exceptions.
A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.
The localized label message
The URL string for remediation documentation link
Internal Server Error
"Error Object"
The minor error code
The error type
The arguments used to localize the message, Can be used by scripts to automate the error processing.
The error context (e.g. the component where it occurred).
Detailed results of the precheck validation.
The localized error message
The localized remediation error message
The underlying cause exceptions.
A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.
The localized label message
The URL string for remediation documentation link
Not Implemented
"Error Object"
The minor error code
The error type
The arguments used to localize the message, Can be used by scripts to automate the error processing.
The error context (e.g. the component where it occurred).
Detailed results of the precheck validation.
The localized error message
The localized remediation error message
The underlying cause exceptions.
A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.
The localized label message
The URL string for remediation documentation link
curl -H 'Authorization: <value>' https://{api_host}/v1/sddcs/resources-calculation/{id}